Page MenuHomePhabricator

"Unhandled Exception ("Exception"): Rejecting ambiguous URI" when trying to access certain tasks / conpherence rooms / etc
Closed, ResolvedPublic

Description

I am unable to access a chat room on conpherence that I am a member of, it is throwing the following error:

Unhandled Exception("Exception")
Rejecting ambiguous URI "I could probably do a better search but what do you think of using http://www.20minutos.es ? It's a good example of a prominent news outlet without a translator and with a cc license (though not for their "vignettes") http://www.20minutos.es/especial/corporativo/creative-commons/ It's in Spanish, though". This URI is not formatted or encoded properly.

The link to the chat room is https://phabricator.wikimedia.org/conpherence/519/

Note: The error mentioned above had colons after http(in the last line). Using colon here is preventing me from creating this task and is throwing the same exception as mentioned above when I click the Create New Task button.

Steps to reproduce

  • Access the chat room by the link provided as a logged in user. (Maybe one will need to be a member of it)

Event Timeline

Mine0901 created this task.Jun 2 2017, 10:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2017, 10:22 AM

I am unable to access a chat room on conpherence that I am a member of, it is throwing the following error:

Hi @Mine0901, to understand correctly:
You click this very link here:
https://phabricator.wikimedia.org/conpherence/519/
and you end up on a page that displays "Unhandled Exception("Exception"): Rejecting ambiguous URI" ?
When you end up on that page, what is the link shown in the address bar of your browser?
Could you attach a screenshot of that situation (but please make sure that no private / confidential data is displayed in that screenshot before uploading it here)?

The link remains the same. Please find the screenshot

Mvolz renamed this task from Unhandled Exception ("Exception") to Unhandled Exception ("Exception") when trying to access conpherence room on phabricator.Jun 2 2017, 12:27 PM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)
Mvolz added a subscriber: Mvolz.

How weird.
Is it the same problem when trying to access via the URL https://phabricator.wikimedia.org/Z519 ?
Thinking about a workaround, if you go to https://phabricator.wikimedia.org/conpherence/ , do you see the room listed in left pane and can you access it (I guess not)?
Do you know if somebody else (who is in/has access to that Conpherence room) has the same problem?

Mvolz added a comment.Jun 2 2017, 9:09 PM

Yes, I have access to the room and get the same error. It doesn't matter
whether access is by direct link or by the link from phabricator.

What I expect has happened is that phabricator is correctly recognising the
input as a link, and tries to create a hyperlink out of it. But something
else in the link parsing apparatus is throwing an exception and causing a
500 internal server error.

Yes, I have access to the room and get the same error. It doesn't matter
whether access is by direct link or by the link from phabricator.

What I expect has happened is that phabricator is correctly recognising the
input as a link, and tries to create a hyperlink out of it. But something
else in the link parsing apparatus is throwing an exception and causing a
500 internal server error.

The fix i have is that it will make it plain text. It's better then having it throw an error.

Restricted Application added a project: Upstream. · View Herald TranscriptJun 4 2017, 12:29 PM

This should now be fixed upstream (https://secure.phabricator.com/T12796), see that task for a description and a more narrow reproduction case.

Aklapper renamed this task from Unhandled Exception ("Exception") when trying to access conpherence room on phabricator to "Unhandled Exception ("Exception"): Rejecting ambiguous URI" when trying to access certain tasks / conpherence rooms / etc.Jun 7 2017, 9:00 AM
Aklapper triaged this task as High priority.
Aklapper added a subscriber: Dzahn.
Aklapper added a subscriber: cscott.
Paladox added a comment.EditedJun 7 2017, 7:16 PM

@mmodell hi, your fix does not fix the error here T166958 i am running your fix on phab-01 and see this https://phab-01.wmflabs.org/T145

"Rejecting ambiguous URI". This URI is not formatted or encoded properly."

@mmodell i re deployed https://phabricator.wikimedia.org/D679 and that fixes it.

mmodell closed this task as Resolved.Jun 8 2017, 2:42 AM
mmodell claimed this task.
Mvolz added a comment.Jun 8 2017, 8:37 AM

Thanks, we are now able to access the room :).

Still an issue, see T168942

@Aklapper: I fear this will keep popping up in different places, we have to play whack-a-mole until all call sites are found and try/catch is added.

Ah, I see what happened - for some reason libphutil got reverted to an older revision. Fixed